#include <Arduino.h>
#include <RH_ASK.h>
#include <Button.cpp>

RH_ASK _driver;
void sendOnSignal();
void sendOffSignal();
Button _button(13, &sendOnSignal, &sendOffSignal);
unsigned int _counter;

void sendSignal(int value){
	Serial.print("Transmitting: ");
	char msg[9];
	sprintf(msg, "LED On: %d", value);
	Serial.println(msg);
	_driver.send((uint8_t *)msg, strlen(msg));
	_driver.waitPacketSent();
	Serial.println("Transmitted");
}

void sendOnSignal(){
	sendSignal(1);
}

void sendOffSignal(){
	sendSignal(0);
}

void setup() {
	Serial.begin(9600);
	Serial.println("Starting...");
    if (!_driver.init())
		Serial.println("init failed");
	Serial.println("Started");
}

void loop() {
	_button.loop();
}